// Code generated by mockery v1.0.0. DO NOT EDIT.

package mocks

import authentication "gitlab.com/cyverse/cacao/api-service/authentication"
import mock "github.com/stretchr/testify/mock"

// AccessTokenVerifier is an autogenerated mock type for the AccessTokenVerifier type
type AccessTokenVerifier struct {
	mock.Mock
}

// Verify provides a mock function with given fields: accessToken
func (_m *AccessTokenVerifier) Verify(accessToken string) (*authentication.UserProfile, error) {
	ret := _m.Called(accessToken)

	var r0 *authentication.UserProfile
	if rf, ok := ret.Get(0).(func(string) *authentication.UserProfile); ok {
		r0 = rf(accessToken)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*authentication.UserProfile)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(accessToken)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
